<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PhoneCallSearchBasic StructType
 * @subpackage Structs
 */
class PhoneCallSearchBasic extends SearchRecordBasic
{
    /**
     * The assigned
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $assigned;
    /**
     * The company
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $company;
    /**
     * The completedDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $completedDate;
    /**
     * The contact
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $contact;
    /**
     * The createdBy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $createdBy;
    /**
     * The createdDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $createdDate;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isPrivate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isPrivate;
    /**
     * The lastModifiedDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $lastModifiedDate;
    /**
     * The owner
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $owner;
    /**
     * The phone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $phone;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $priority;
    /**
     * The startDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $startDate;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $status;
    /**
     * The title
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $title;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for PhoneCallSearchBasic
     * @uses PhoneCallSearchBasic::setAssigned()
     * @uses PhoneCallSearchBasic::setCompany()
     * @uses PhoneCallSearchBasic::setCompletedDate()
     * @uses PhoneCallSearchBasic::setContact()
     * @uses PhoneCallSearchBasic::setCreatedBy()
     * @uses PhoneCallSearchBasic::setCreatedDate()
     * @uses PhoneCallSearchBasic::setExternalId()
     * @uses PhoneCallSearchBasic::setExternalIdString()
     * @uses PhoneCallSearchBasic::setInternalId()
     * @uses PhoneCallSearchBasic::setInternalIdNumber()
     * @uses PhoneCallSearchBasic::setIsPrivate()
     * @uses PhoneCallSearchBasic::setLastModifiedDate()
     * @uses PhoneCallSearchBasic::setOwner()
     * @uses PhoneCallSearchBasic::setPhone()
     * @uses PhoneCallSearchBasic::setPriority()
     * @uses PhoneCallSearchBasic::setStartDate()
     * @uses PhoneCallSearchBasic::setStatus()
     * @uses PhoneCallSearchBasic::setTitle()
     * @uses PhoneCallSearchBasic::setCustomFieldList()
     * @param \StructType\SearchMultiSelectField $assigned
     * @param \StructType\SearchMultiSelectField $company
     * @param \StructType\SearchDateField $completedDate
     * @param \StructType\SearchMultiSelectField $contact
     * @param \StructType\SearchMultiSelectField $createdBy
     * @param \StructType\SearchDateField $createdDate
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isPrivate
     * @param \StructType\SearchDateField $lastModifiedDate
     * @param \StructType\SearchBooleanField $owner
     * @param \StructType\SearchStringField $phone
     * @param \StructType\SearchEnumMultiSelectField $priority
     * @param \StructType\SearchDateField $startDate
     * @param \StructType\SearchEnumMultiSelectField $status
     * @param \StructType\SearchStringField $title
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchMultiSelectField $assigned = null, \StructType\SearchMultiSelectField $company = null, \StructType\SearchDateField $completedDate = null, \StructType\SearchMultiSelectField $contact = null, \StructType\SearchMultiSelectField $createdBy = null, \StructType\SearchDateField $createdDate = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isPrivate = null, \StructType\SearchDateField $lastModifiedDate = null, \StructType\SearchBooleanField $owner = null, \StructType\SearchStringField $phone = null, \StructType\SearchEnumMultiSelectField $priority = null, \StructType\SearchDateField $startDate = null, \StructType\SearchEnumMultiSelectField $status = null, \StructType\SearchStringField $title = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setAssigned($assigned)
            ->setCompany($company)
            ->setCompletedDate($completedDate)
            ->setContact($contact)
            ->setCreatedBy($createdBy)
            ->setCreatedDate($createdDate)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsPrivate($isPrivate)
            ->setLastModifiedDate($lastModifiedDate)
            ->setOwner($owner)
            ->setPhone($phone)
            ->setPriority($priority)
            ->setStartDate($startDate)
            ->setStatus($status)
            ->setTitle($title)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get assigned value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getAssigned()
    {
        return $this->assigned;
    }
    /**
     * Set assigned value
     * @param \StructType\SearchMultiSelectField $assigned
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setAssigned(\StructType\SearchMultiSelectField $assigned = null)
    {
        $this->assigned = $assigned;
        return $this;
    }
    /**
     * Get company value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getCompany()
    {
        return $this->company;
    }
    /**
     * Set company value
     * @param \StructType\SearchMultiSelectField $company
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setCompany(\StructType\SearchMultiSelectField $company = null)
    {
        $this->company = $company;
        return $this;
    }
    /**
     * Get completedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getCompletedDate()
    {
        return $this->completedDate;
    }
    /**
     * Set completedDate value
     * @param \StructType\SearchDateField $completedDate
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setCompletedDate(\StructType\SearchDateField $completedDate = null)
    {
        $this->completedDate = $completedDate;
        return $this;
    }
    /**
     * Get contact value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getContact()
    {
        return $this->contact;
    }
    /**
     * Set contact value
     * @param \StructType\SearchMultiSelectField $contact
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setContact(\StructType\SearchMultiSelectField $contact = null)
    {
        $this->contact = $contact;
        return $this;
    }
    /**
     * Get createdBy value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getCreatedBy()
    {
        return $this->createdBy;
    }
    /**
     * Set createdBy value
     * @param \StructType\SearchMultiSelectField $createdBy
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setCreatedBy(\StructType\SearchMultiSelectField $createdBy = null)
    {
        $this->createdBy = $createdBy;
        return $this;
    }
    /**
     * Get createdDate value
     * @return \StructType\SearchDateField|null
     */
    public function getCreatedDate()
    {
        return $this->createdDate;
    }
    /**
     * Set createdDate value
     * @param \StructType\SearchDateField $createdDate
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setCreatedDate(\StructType\SearchDateField $createdDate = null)
    {
        $this->createdDate = $createdDate;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isPrivate value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsPrivate()
    {
        return $this->isPrivate;
    }
    /**
     * Set isPrivate value
     * @param \StructType\SearchBooleanField $isPrivate
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setIsPrivate(\StructType\SearchBooleanField $isPrivate = null)
    {
        $this->isPrivate = $isPrivate;
        return $this;
    }
    /**
     * Get lastModifiedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getLastModifiedDate()
    {
        return $this->lastModifiedDate;
    }
    /**
     * Set lastModifiedDate value
     * @param \StructType\SearchDateField $lastModifiedDate
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setLastModifiedDate(\StructType\SearchDateField $lastModifiedDate = null)
    {
        $this->lastModifiedDate = $lastModifiedDate;
        return $this;
    }
    /**
     * Get owner value
     * @return \StructType\SearchBooleanField|null
     */
    public function getOwner()
    {
        return $this->owner;
    }
    /**
     * Set owner value
     * @param \StructType\SearchBooleanField $owner
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setOwner(\StructType\SearchBooleanField $owner = null)
    {
        $this->owner = $owner;
        return $this;
    }
    /**
     * Get phone value
     * @return \StructType\SearchStringField|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param \StructType\SearchStringField $phone
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setPhone(\StructType\SearchStringField $phone = null)
    {
        $this->phone = $phone;
        return $this;
    }
    /**
     * Get priority value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param \StructType\SearchEnumMultiSelectField $priority
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setPriority(\StructType\SearchEnumMultiSelectField $priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
    /**
     * Get startDate value
     * @return \StructType\SearchDateField|null
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param \StructType\SearchDateField $startDate
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setStartDate(\StructType\SearchDateField $startDate = null)
    {
        $this->startDate = $startDate;
        return $this;
    }
    /**
     * Get status value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\SearchEnumMultiSelectField $status
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setStatus(\StructType\SearchEnumMultiSelectField $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get title value
     * @return \StructType\SearchStringField|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param \StructType\SearchStringField $title
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setTitle(\StructType\SearchStringField $title = null)
    {
        $this->title = $title;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\PhoneCallSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
